package event;

import listeners.AbstractEvent;
import listeners.EventKind;

public class CreationEvent extends AbstractEvent {
	protected final EventKind created;
	protected final Object createdElement;
	

	public CreationEvent(EventKind created, Object createdElement) {
		super();
		this.created = created;
		this.createdElement = createdElement;
	}


	public EventKind getEventKind() {
		return this.created;
	}


	public Object getCreatedElement() {
		return createdElement;
	}
	

}
