package event;

import dopidom.Component;
import listeners.AbstractEvent;
import listeners.EventKind;

public class OrderEvent extends AbstractEvent {

	protected final Component orderedComponent;
	
	public OrderEvent(Component orderedComponent) {
		this.orderedComponent = orderedComponent;
	}

	public EventKind getEventKind() {
		return EventKind.Ordered;
	}

	public Component getOrderedComponent() {
		return orderedComponent;
	}

}
