package graphicalelements;

/**
 * GraphicalElement object instance interface.
 */
public interface GraphicalElement extends javax.jmi.reflect.RefObject {
    /**
     * Returns the value of reference connects.
     * @return Value of reference connects.
     */
    public java.util.Collection getConnects();
    /**
     * Returns the value of reference overlaps.
     * @return Value of reference overlaps.
     */
    public java.util.Collection getOverlaps();
    /**
     * Returns the value of reference nearby.
     * @return Value of reference nearby.
     */
    public java.util.Collection getNearby();
    /**
     * Returns the value of reference container.
     * @return Value of reference container.
     */
    public graphicalelements.GraphicalElement getContainer();
    /**
     * Sets the value of reference container. See {@link #getContainer} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setContainer(graphicalelements.GraphicalElement newValue);
    /**
     * Returns the value of reference contains.
     * @return Value of reference contains.
     */
    public java.util.Collection getContains();
}
