package graphicalelements;

/**
 * GraphicalElements package interface.
 */
public interface GraphicalElementsPackage extends javax.jmi.reflect.RefPackage {
    /**
     * Returns GraphicalElement class proxy object.
     * @return GraphicalElement class proxy object.
     */
    public graphicalelements.GraphicalElementClass getGraphicalElement();
    /**
     * Returns AConnectsGraphicalElement association proxy object.
     * @return AConnectsGraphicalElement association proxy object.
     */
    public graphicalelements.AConnectsGraphicalElement getAConnectsGraphicalElement();
    /**
     * Returns AOverlapsGraphicalElement association proxy object.
     * @return AOverlapsGraphicalElement association proxy object.
     */
    public graphicalelements.AOverlapsGraphicalElement getAOverlapsGraphicalElement();
    /**
     * Returns ANearbyGraphicalElement association proxy object.
     * @return ANearbyGraphicalElement association proxy object.
     */
    public graphicalelements.ANearbyGraphicalElement getANearbyGraphicalElement();
    /**
     * Returns AContainsContainer association proxy object.
     * @return AContainsContainer association proxy object.
     */
    public graphicalelements.AContainsContainer getAContainsContainer();
}
