/*
 * Created on 7 avr. 2005
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package interactions;

import interpretor.Variable;

import java.awt.event.KeyEvent;
import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;
import java.util.ArrayList;
import java.util.List;

import javax.jmi.reflect.RefObject;
import javax.jmi.xmi.MalformedXMIException;
import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

import test.GUI.GUI;
import test.actions.DeleteAction;
import test.interfaces.Deletable;
import test.languageloading.InitFileFilterClass;
import test.languageloading.ScriptFileFilterClass;
import test.model.ModelHelper;
import test.selection.SelectionManager;
import utils.AWK;

import dopidom.Component;
import dopidom.svg.SVGCleanToolInteractor;
import dopidom.svg.SVGInteraction;
import dopidom.svg.SVGScene;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class Deleter extends SVGInteraction {
	
	/**
	 * @param interactor
	 */
	public Deleter(SVGCleanToolInteractor interactor) {
		super(interactor);
	}
	
	public void keyPressed(KeyEvent e) {
		if (e.isShiftDown() && e.getKeyCode() == KeyEvent.VK_DELETE) {
			List cc = SelectionManager.INSTANCE.getSelectedComponentsAsList();
			DeleteAction a = new DeleteAction();
			for (Object o : cc) {
				Component c  = (Component)o;
				while (c!=null) {
					if (c.canDoAction(a.getClass())) {
						this.getInteractor().doActionOnceOn(a, c);
						c = null;
					} else
						c = c.getParent();
				}
			}
		}
	}
}
