/*
 * Created on 7 avr. 2005
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package interactions;

import java.awt.event.MouseEvent;

import testFab.ExecuteButton;
import testFab.Pointer;
import actions.Execute;
import dopidom.svg.SVGCleanToolInteractor;
import dopidom.svg.SVGInteraction;
import dopidom.svg.SVGPicking;
import dopidom.svg.SVGScene;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class Executer extends SVGInteraction {
	
	/**
	 * @param interactor
	 */
	public Executer(SVGCleanToolInteractor interactor) {
		super(interactor);
	}

	public void mousePressed(MouseEvent e) {		
		Pointer it = (Pointer)this.getInteractor();
		SVGPicking picking = SVGScene.getInstance().getPickedElementsUnder(e.getX(), e.getY(), it.getWrappedElement());
		if (picking == null || !picking.hasActionConsumer(Execute.class))
			return;
		picking.getComponent().getActionInterface(Execute.class).doAction(new Execute(((ExecuteButton)picking.getComponent()).getId()));
		e.consume();
		
	}
	
}
