/*
 * Created on 7 avr. 2005
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package interactions;

import java.awt.event.MouseEvent;

import testFab.Pointer;
import PBXSComponents.GraphicContainer;
import dopidom.svg.SVGCleanToolInteractor;
import dopidom.svg.SVGInteraction;
import dopidom.svg.SVGPicking;
import dopidom.svg.SVGScene;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class Tester extends SVGInteraction {
	
	/**
	 * @param interactor
	 */
	public Tester(SVGCleanToolInteractor interactor) {
		super(interactor);
	}
	
	public void mousePressed(MouseEvent e) {
		// if Component isn't BorderSlidable get out
		Pointer it = (Pointer)this.getInteractor();
		SVGPicking picking = SVGScene.getInstance().getPickedElementsUnder(e.getX(), e.getY(), it.getWrappedElement());
		if (e.getClickCount() == 1) {
			switch (e.getButton()) {
				case MouseEvent.BUTTON1 :
					if (picking.getComponent() instanceof GraphicContainer) {
						showTest("add");
						addComp((GraphicContainer)picking.getComponent());
					}
					break;
				case MouseEvent.BUTTON3 :
					if (picking.getComponent() instanceof GraphicContainer) {
						showTest("rem");
						remComp((GraphicContainer)picking.getComponent());
					}
					break;
				}
		}
	}
	
	
	private void addComp(GraphicContainer gc) {
		gc.addGraphic();
	}

	private void remComp(GraphicContainer gc) {
		gc.removeGraphic();
	}
	
	private void showTest(String txt) {
		System.out.println("test activated : " + txt);
	}
	public void mouseDragged(MouseEvent e) {
	}
	
	/* (non-Javadoc)
	 * @see java.awt.event.MouseListener#mouseReleased(java.awt.event.MouseEvent)
	 */
	public void mouseReleased(MouseEvent e) {
	}
}
