package listeners.initial;



import java.awt.List;
import java.util.ArrayList;
import java.util.HashSet;

import javax.jmi.reflect.RefObject;

import org.w3c.dom.Node;

import interpretor.InterpretorFactory;
import interpretor.Variable;
import interpretor.VariableKoala;
import interpretor.interpretorFacade;
import listeners.Event;
import listeners.EventKind;
import listeners.Listener;
import event.CharacterInsertedEvent;
import test.interfaces.CharacterInsertable;
import utils.DomFinding;
import utils.ListenerFunctions;
import utils.ManipString;


public abstract class CharacterInsertableListenersInitiator {
	
	private CharacterInsertableListenersInitiator(){}
	
	protected static void initiateCharacterInsertableListener(CharacterInsertable ci) {
		ci.addListener(new Listener() {

			public EventKind getEventKind() {
				return EventKind.CharacterInserted;
			}

			public void receiveEvent(Event e) {
				
				final CharacterInsertedEvent cie = (CharacterInsertedEvent)e;
				
				HashSet<String[]> listSpec = new HashSet<String[]>();
				
				String[] v1  = {"content", ManipString.createSerialization("String", cie.getNewText())};

				listSpec.add(v1);
				
				ListenerFunctions.foo("onChange",(Node)cie.getTextInsertedComponent().getWrappedElement(),listSpec);
			}

			public boolean vetoesEvent(Event e) {
				return false;
			}});
	}
}
