//init.XXX will be automatically launched at language loading using the XXX interpreter
//any jar file found in the directory will be automatically added to the CLASSPATH

//variables declared here (so called XXX environment variables)
//will be accessible during all the language edition in any XXX script,
//unless an exception is thrown away the script  
//variable languageDir : String is provided and represents the language definition directory ; it is automatically added to the environment

metamodelFile = new java.io.File(languageDir, "sc.xml").getAbsolutePath();
model = (sc.ScPackage)model.ModelFactory.getInstance().getModel("MDR", new Object [] {metamodelFile});
sc = model.getStateMachine().createStateMachine();
top = model.getCompositeState().createCompositeState();
sc.setTop(top);
