//save.XXX will be automatically called at load time using the XXX interpreter

//variable languageDir : String contains the language definition directory (automatically part of environment)
//variable SVGFile contains the name of the svg file to be load
//environment variables may be read/written here

import model.ModelFactory;

name = utils.AWK.eliminateLastFieldOf(SVGFile, ".") + ".xmi";
System.out.println("Saving MDR model as XMI in " + name + "...");

ModelFactory.getInstance().saveModel(new java.io.File(SVGFile), model, new Object [] {name});

System.out.println("MDR model saving done !");

