package scgm;

/**
 * A_contents_sVGCompositeState association proxy interface.
 */
public interface AContentsSVgcompositeState extends javax.jmi.reflect.RefAssociation {
    /**
     * Queries whether a link currently exists between a given pair of instance 
     * objects in the associations link set.
     * @param contents Value of the first association end.
     * @param sVgcompositeState Value of the second association end.
     * @return Returns true if the queried link exists.
     */
    public boolean exists(scgm.Svgcontents contents, scgm.SvgcompositeState sVgcompositeState);
    /**
     * Queries the instance object that is related to a particular instance object 
     * by a link in the current associations link set.
     * @param sVgcompositeState Required value of the second association end.
     * @return Related object or <code>null</code> if none exists.
     */
    public scgm.Svgcontents getContents(scgm.SvgcompositeState sVgcompositeState);
    /**
     * Creates a link between the pair of instance objects in the associations 
     * link set.
     * @param contents Value of the first association end.
     * @param sVgcompositeState Value of the second association end.
     */
    public boolean add(scgm.Svgcontents contents, scgm.SvgcompositeState sVgcompositeState);
    /**
     * Removes a link between a pair of instance objects in the current associations 
     * link set.
     * @param contents Value of the first association end.
     * @param sVgcompositeState Value of the second association end.
     */
    public boolean remove(scgm.Svgcontents contents, scgm.SvgcompositeState sVgcompositeState);
}
