package scgm;

/**
 * GraphicalElement object instance interface.
 */
public interface GraphicalElement extends javax.jmi.reflect.RefObject {
    /**
     * Returns the value of attribute x.
     * @return Value of attribute x.
     */
    public double getX();
    /**
     * Sets the value of x attribute. See {@link #getX} for description on the 
     * attribute.
     * @param newValue New value to be set.
     */
    public void setX(double newValue);
    /**
     * Returns the value of attribute y.
     * @return Value of attribute y.
     */
    public double getY();
    /**
     * Sets the value of y attribute. See {@link #getY} for description on the 
     * attribute.
     * @param newValue New value to be set.
     */
    public void setY(double newValue);
    /**
     * Returns the value of attribute visible.
     * @return Value of attribute visible.
     */
    public boolean isVisible();
    /**
     * Sets the value of visible attribute. See {@link #isVisible} for description 
     * on the attribute.
     * @param newValue New value to be set.
     */
    public void setVisible(boolean newValue);
    /**
     * Returns the value of reference connects.
     * @return Value of reference connects.
     */
    public java.util.Collection getConnects();
    /**
     * Returns the value of reference overlaps.
     * @return Value of reference overlaps.
     */
    public java.util.Collection getOverlaps();
    /**
     * Returns the value of reference nearby.
     * @return Value of reference nearby.
     */
    public java.util.Collection getNearby();
    /**
     * Returns the value of reference container.
     * @return Value of reference container.
     */
    public scgm.GraphicalElement getContainer();
    /**
     * Sets the value of reference container. See {@link #getContainer} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setContainer(scgm.GraphicalElement newValue);
    /**
     * Returns the value of reference contains.
     * @return Value of reference contains.
     */
    public java.util.Collection getContains();
}
