package scgm;

/**
 * SVGTransition object instance interface.
 */
public interface Svgtransition extends scgm.GraphicalElement {
    /**
     * Returns the value of reference event.
     * @return Value of reference event.
     */
    public scgm.Svgtext getEvent();
    /**
     * Sets the value of reference event. See {@link #getEvent} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setEvent(scgm.Svgtext newValue);
    /**
     * Returns the value of reference start.
     * @return Value of reference start.
     */
    public scgm.SvgarrowEnd getStart();
    /**
     * Sets the value of reference start. See {@link #getStart} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setStart(scgm.SvgarrowEnd newValue);
    /**
     * Returns the value of reference end.
     * @return Value of reference end.
     */
    public scgm.SvgarrowEnd getEnd();
    /**
     * Sets the value of reference end. See {@link #getEnd} for description on 
     * the reference.
     * @param newValue New value to be set.
     */
    public void setEnd(scgm.SvgarrowEnd newValue);
}
