package event;

import listeners.AbstractEvent;
import listeners.EventKind;
import org.w3c.dom.Node;

public class ComponentCreatedEvent extends AbstractEvent {

	Node tree;
	
	
	
	public EventKind getEventKind() {
		return EventKind.ComponentCreated;
	}


	public Node getTree() {
		return this.tree;
	}


	public ComponentCreatedEvent(Node tree) {
		this.tree = tree;
	}

}
