package interpretor;

public interface Serializer {
	Object deserialize(String representation);
	String serialize(Object o);

	String serializeModelElement(Object me);
	String serializeBoolean(boolean b);
	String serializeReal(double r);
	String serializeString(String s);
	String serializeInteger(int i);
	String serializeSet(Object [] set);
	String serializeBag(Object [] bag);
	String serializeSequence(Object [] sequence);
	String serializeOrderedSet(Object [] orderedSet);
}
