package listeners;

public class UncheckedEventException extends Exception {
	private static final long serialVersionUID = 2663214870454697551L;
	
	protected final Event uncheckedEvent;

	public UncheckedEventException (Event e) {
		super("Attempting to fire an unchecked event.");
		this.uncheckedEvent = e;
	}

	public Event getUncheckedEvent() {
		return uncheckedEvent;
	}
	
}
