package model;

public class UnknownModelKind extends Exception {
	private static final long serialVersionUID = 4715488984494700285L;
	private final String modelKind;

	public UnknownModelKind(String modelKind) {
		super("Unknown model kind: " + modelKind);
		this.modelKind = modelKind;
	}
	
	public String getModelKind() {
		return this.modelKind;
	}

}
