//load.XXX will be automatically called at load time using the XXX interpreter

//variable languageDir : String contains the language definition directory (automatically part of environment)
//variable SVGFile : String contains the name of the svg file to be load
//environment variables may be read/written here

import model.ModelFactory;

name = utils.AWK.eliminateLastFieldOf(SVGFile, ".") + ".xmi";
System.out.println("Loading MDR model from XMI " + name + "...");

model = ModelFactory.getInstance().getModel("MDR", new Object [] {metamodelFile});

ModelFactory.getInstance().loadModel(model, new Object [] {name});

System.out.println("MDR model loading done !");
