package scgm;

/**
 * scgm package interface.
 */
public interface ScgmPackage extends javax.jmi.reflect.RefPackage {
    /**
     * Returns Svgtransition class proxy object.
     * @return Svgtransition class proxy object.
     */
    public scgm.SvgtransitionClass getSvgtransition();
    /**
     * Returns Svgtext class proxy object.
     * @return Svgtext class proxy object.
     */
    public scgm.SvgtextClass getSvgtext();
    /**
     * Returns SvgarrowEnd class proxy object.
     * @return SvgarrowEnd class proxy object.
     */
    public scgm.SvgarrowEndClass getSvgarrowEnd();
    /**
     * Returns SvgsimpleState class proxy object.
     * @return SvgsimpleState class proxy object.
     */
    public scgm.SvgsimpleStateClass getSvgsimpleState();
    /**
     * Returns SvgcompositeState class proxy object.
     * @return SvgcompositeState class proxy object.
     */
    public scgm.SvgcompositeStateClass getSvgcompositeState();
    /**
     * Returns Svgline class proxy object.
     * @return Svgline class proxy object.
     */
    public scgm.SvglineClass getSvgline();
    /**
     * Returns Svgcontents class proxy object.
     * @return Svgcontents class proxy object.
     */
    public scgm.SvgcontentsClass getSvgcontents();
    /**
     * Returns Svginitial class proxy object.
     * @return Svginitial class proxy object.
     */
    public scgm.SvginitialClass getSvginitial();
    /**
     * Returns Svgfinal class proxy object.
     * @return Svgfinal class proxy object.
     */
    public scgm.SvgfinalClass getSvgfinal();
    /**
     * Returns AEventSVgtransition association proxy object.
     * @return AEventSVgtransition association proxy object.
     */
    public scgm.AEventSVgtransition getAEventSVgtransition();
    /**
     * Returns AStartSVgtransition association proxy object.
     * @return AStartSVgtransition association proxy object.
     */
    public scgm.AStartSVgtransition getAStartSVgtransition();
    /**
     * Returns AEndSVgtransition association proxy object.
     * @return AEndSVgtransition association proxy object.
     */
    public scgm.AEndSVgtransition getAEndSVgtransition();
    /**
     * Returns ANameSVgsimpleState association proxy object.
     * @return ANameSVgsimpleState association proxy object.
     */
    public scgm.ANameSVgsimpleState getANameSVgsimpleState();
    /**
     * Returns ANameSVgcompositeState association proxy object.
     * @return ANameSVgcompositeState association proxy object.
     */
    public scgm.ANameSVgcompositeState getANameSVgcompositeState();
    /**
     * Returns ASeparatorSVgcompositeState association proxy object.
     * @return ASeparatorSVgcompositeState association proxy object.
     */
    public scgm.ASeparatorSVgcompositeState getASeparatorSVgcompositeState();
    /**
     * Returns AContentsSVgcompositeState association proxy object.
     * @return AContentsSVgcompositeState association proxy object.
     */
    public scgm.AContentsSVgcompositeState getAContentsSVgcompositeState();
}
