package scgm;

/**
 * SVGCompositeState object instance interface.
 */
public interface SvgcompositeState extends scgm.GraphicalElement {
    /**
     * Returns the value of reference name.
     * @return Value of reference name.
     */
    public scgm.Svgtext getName();
    /**
     * Sets the value of reference name. See {@link #getName} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setName(scgm.Svgtext newValue);
    /**
     * Returns the value of reference separator.
     * @return Value of reference separator.
     */
    public scgm.Svgline getSeparator();
    /**
     * Sets the value of reference separator. See {@link #getSeparator} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setSeparator(scgm.Svgline newValue);
    /**
     * Returns the value of reference contents.
     * @return Value of reference contents.
     */
    public scgm.Svgcontents getContents();
    /**
     * Sets the value of reference contents. See {@link #getContents} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setContents(scgm.Svgcontents newValue);
}
