package scgm;

/**
 * SVGSimpleState object instance interface.
 */
public interface SvgsimpleState extends scgm.GraphicalElement {
    /**
     * Returns the value of reference name.
     * @return Value of reference name.
     */
    public scgm.Svgtext getName();
    /**
     * Sets the value of reference name. See {@link #getName} for description 
     * on the reference.
     * @param newValue New value to be set.
     */
    public void setName(scgm.Svgtext newValue);
}
