/*
 * Created on 4 dc. 2004
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package test;

import interfaces.LinePullable;
import interfaces.Translatable;

import org.w3c.dom.Element;

import test.interfaces.Backable;
import test.interfaces.Backwardable;
import test.interfaces.Forwardable;
import test.interfaces.Frontable;
import test.interfaces.Locatable;
import test.interfaces.Orderable;
import test.interfaces.Selectable;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class ContainerElement extends Container {

	public ContainerElement(Element wrappedElement) {
		super(wrappedElement);

		new Translatable(this);
		new Locatable(this);
		new Orderable(this);
		new Frontable(this);
		new Backable(this);
		new Forwardable(this);
		new Backwardable(this);
		new Selectable(this);
		new LinePullable(this);
	}

}
