/*
 * Created on 4 dc. 2004
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package test.actions;

import dopidom.svg.SVGAction;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class HilightAction extends SVGAction {
	
	protected String previousStrokeColor;
	protected String previousStrokeWidth;

	public HilightAction() {
		super();
	}
	
	public HilightAction(String [] properties) {
		super();
		if (properties[0] != null && properties[0].length() > 0)
			this.setPreviousStrokeColor(properties[0]);
		if (properties[1] != null && properties[1].length() > 0)
			this.setPreviousStrokeWidth(properties[1]);
	}
	
	public String getPreviousStrokeColor() {
		return previousStrokeColor;
	}
	public void setPreviousStrokeColor(String previousStrokeColor) {
		this.previousStrokeColor = previousStrokeColor;
	}
	public String getPreviousStrokeWidth() {
		return previousStrokeWidth;
	}
	public void setPreviousStrokeWidth(String previousStrokeWidth) {
		this.previousStrokeWidth = previousStrokeWidth;
	}
	
	public String[] toStrings() {
		return new String[]{this.getPreviousStrokeColor(), this.getPreviousStrokeWidth()};
	}
}
