/*
 * Created on 3 dc. 2004
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package test.actions;

import java.io.File;

import dopidom.svg.SVGAction;


/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class SaveAction extends SVGAction {
	protected File file;
	
	public SaveAction() {
		super();
	}
		
	public SaveAction(File file) {
		this();
		this.setFile(file);
	}
	
	public SaveAction(String file) {
		this(new File(file));
	}
	
	public SaveAction(String [] properties) {
		this(properties[0]);
	}

	public File getFile() {
		return file;
	}
	public void setFile(File file) {
		this.file = file;
		this.setData(this.file);
	}
	public String[] toStrings() {
		return new String [] {this.getFile().getAbsolutePath()};
	}

}
