/*
 * Created on 4 dc. 2004
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package test.actions;

import dopidom.Component;
import dopidom.svg.SVGAction;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class SelectAction extends SVGAction {
	
	protected final HilightAction hilight;
	protected Component previousSelection;
	protected boolean partOfMultipleSelection;
	protected int order;
	
	public SelectAction() {
		this.hilight = new HilightAction();
	}
	
	public SelectAction(String [] properties) {
		if (properties != null && properties.length > 0)
			this.hilight = new HilightAction(properties);
		else
			this.hilight = new HilightAction();
	}

	public HilightAction getHilight() {
		return hilight;
	}
	
	public Component getPreviousSelection() {
		return previousSelection;
	}
	public void setPreviousSelection(Component previousSelection) {
		this.previousSelection = previousSelection;
	}
	
	public boolean isPartOfMultipleSelection() {
		return partOfMultipleSelection;
	}
	
	public void setPartOfMultipleSelection(boolean partOfMultipleSelection) {
		this.partOfMultipleSelection = partOfMultipleSelection;
	}
	
	public int getOrder() {
		return order;
	}
	
	public void setOrder(int order) {
		this.order = order;
	}
	
	public String[] toStrings() {
		return this.hilight.toStrings();
	}
}
