/**
 * 
 */
package test.languageloading;

import interpretor.InterpretorFactory;
import interpretor.Result;
import interpretor.Variable;
import interpretor.interpretorFacade;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileFilter;
import java.io.FileReader;
import java.util.List;

public class InitFileFilterClass extends ScriptFileFilterClass {
	public static final String InitKind = "init";
	
	public static final InitFileFilterClass INSTANCE = new InitFileFilterClass();
	
	protected InitFileFilterClass() {
		super(InitKind);
	}
	
	public Result run(File pathname, Object self, List<Variable> vars) {
		if (pathname.isFile()) {
			Result res = super.run(pathname, self, vars);
			if (res != null)
				res.getInterpreter().setEnvironment(res.getOuputVars());
			return res;
		} else
			return super.run(pathname, self, vars);
	}
}