package test.languageloading;

import java.net.URL;

import test.templates.SVGFileTemplate;

public class Language {
	protected final SVGFileTemplate[] templates;
	protected final URL scene;
	public Language(final SVGFileTemplate[] templates, final URL scene) {
		super();
		this.templates = templates;
		this.scene = scene;
	}
	public URL getScene() {
		return scene;
	}
	public SVGFileTemplate[] getTemplates() {
		return templates;
	}
}
