/*
 * Created on 25 nov. 2004
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
package test.templates;

import java.awt.Color;

/**
 * @author fondemen
 *
 *  * Copyright 2004-2008 Frdric FONDEMENT
 */
public class TemplateUtils {
	public static String colorCode(Color color) {
		if (color == null)
			return "none";
		StringBuffer colorAsString = new StringBuffer(7);
		colorAsString.append('#');
		String part = Integer.toHexString(color.getRed());
		for (int i = 0; i < 2-part.length(); ++i)
			colorAsString.append('0');
		colorAsString.append(part);
		part = Integer.toHexString(color.getGreen());
		for (int i = 0; i < 2-part.length(); ++i)
			colorAsString.append('0');
		colorAsString.append(part);
		part = Integer.toHexString(color.getBlue());
		for (int i = 0; i < 2-part.length(); ++i)
			colorAsString.append('0');
		colorAsString.append(part);
		return colorAsString.toString();
	}
	
	public static String alphaAsString(Color color) {
		return "." + Integer.toString((int)(1000*(float)color.getAlpha()/255f));
	}
	
	private TemplateUtils() {};
}
